#
# spec file for package python-html5-parser
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-html5-parser
Version:        0.4.12
Release:        1.6
Summary:        C based HTML 5 parsing for Python
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/kovidgoyal/html5-parser
Source:         https://github.com/kovidgoyal/html5-parser/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module beautifulsoup4}
BuildRequires:  %{python_module chardet}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module lxml >= 3.8.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(libxml-2.0)
%python_subpackages

%description
A standards compliant, C based HTML 5 parser for Python. It processes HTML
about thirty times faster than the "html5lib" pure Python based parser.

%prep
%setup -q -n html5-parser-%{version}

%build
find . -name '*.py' -exec sed -i '/#.*usr.bin.env.*python/d' {} \;
%python_build

%install
%python_install

%check
%if 0%{?suse_version} > 1500
%pyunittest_arch -v test/*.py
%else
%python_exec setup.py test
%endif

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitearch}/html5_parser/
%{python_sitearch}/html5_parser-%{version}-py%{python_version}.egg-info

%changelog
* Mon Nov 20 2023 ecsos <ecsos@opensuse.org>
- Update to 0.4.12
  No changelog from upstream.
  See instead here:
  https://github.com/kovidgoyal/html5-parser/compare/v0.4.11...v0.4.12?diff=unified&name=v0.4.12
* Fri Jun 23 2023 ecsos <ecsos@opensuse.org>
- Update to 0.4.11
  No changelog from upstream.
  See instead here:
  https://github.com/kovidgoyal/html5-parser/compare/v0.4.10...v0.4.11?diff=unified&name=v0.4.11
- Add %%{?sle15_python_module_pythons}
* Thu Dec 23 2021 ecsos <ecsos@opensuse.org>
- Skip python2 to fix build error for Leap in devel repo.
* Fri Oct 15 2021 ecsos <ecsos@opensuse.org>
- Update to 0.4.10
  No changelog from upstream.
  See instead here:
  https://github.com/kovidgoyal/html5-parser/compare/v0.4.9...v0.4.10?diff=unified&name=v0.4.10
* Mon May 31 2021 pgajdos@suse.com
- %%check: use %%pyunittest_arch rpm macro for post 15
* Thu Apr  9 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.4.9
  * Fix an error parsing XHTML where the xlink namespace is defined on
    the root node but not on a node where the default namespace is redefined
* Wed Sep 11 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.4.8:
  No changelog from upstream.
  See instead here:
  https://github.com/kovidgoyal/html5-parser/compare/v0.4.7...v0.4.8?diff=unified&name=v0.4.8
* Mon Jul  1 2019 ecsos@opensuse.org
- update to 0.4.7
  No changelog from upstream.
  See instead here:
  https://github.com/kovidgoyal/html5-parser/compare/v0.4.6...v0.4.7?diff=unified&name=v0.4.7
* Wed May 29 2019 ecsos@opensuse.org
- update to 0.4.6
  No changelog from upstream.
  See instead here:
  https://github.com/kovidgoyal/html5-parser/compare/v0.4.5...v0.4.6?diff=unified&name=v0.4.6
* Tue Feb  5 2019 Hans-Peter Jansen <hpj@urpla.net>
- add pkgconfig build dependency
* Wed Jun 27 2018 ecsos@opensuse.org
- update to 0.4.5
  No changelog from upstream.
  See instead here:
  https://github.com/kovidgoyal/html5-parser/compare/v0.4.4...v0.4.5?diff=unified&name=v0.4.5
* Fri Sep 29 2017 jengelh@inai.de
- Reword descriptions for neutrality and accuracy.
* Mon Aug 14 2017 opensuse@dstoecker.de
- update to 0.4.4
* Fri Jul 28 2017 ecsos@opensuse.org
- initial version 0.4.3
